Subject: [bug#78308] [PATCH 0/9] VTE integration support / Shell startup files refactor

From: Rutherther <[email-masked]>
Date: Mon, 19 May 2025 07:24:28 +0200

Hi

On May 19, 2025 2:24:28 AM GMT+02:00, Maxim Cournoyer <[email-masked]> wrote:
>Hi Rutherther,
>
>Rutherther <[email-masked]> writes:
>
>> Hi,
>>
>> I've tried playing with this a bit.
>>
>> I would like to point out that maybe it would be better to add extension
>> of the service to the manual rather than creation of the service. Most
>> users will be using profile-d service as they are using
>> desktop-services. So instead of (service-type etc-profile-d-service-type
>> ...) something like (simple-service 'my-simple-profile-file
>> etc-profile-d-service-type ...).
>
>Currently only etc-bashrc-d-service-type is used in %base-services, so
>we can't extend etc-profile-d-service-type, since it doesn't exist in
>the base templates.

But we definitely can! Extensions bring the service in, unconditionally. So they work every time no matter if the service is in the list already. 

>
>> As for the bashrc and profile d, it seems working right and I don't have
>> any more comments apart from documentation changes.
>
>I'm pushing a v3 with the news entry you had suggested in a minute.
>
>> As for vte, I am not really sure what the integration does and have
>> difficulty searching for the features. All I can get is that it
>> integrates with terminal and makes it better, but not in what way. As I
>> am quite a minimal, using dwl and foot, I have no idea how does Gnome
>> and Gnome Terminal integrate nor how to check if it does the right thing
>> with this addition.
>
>The main thing for me is having a consistent title for the tab in gnome
>console or gnome terminal applications.  It also preserves the current
>working directory when opening new tabs, and offers other features.  I
>guess the best way to know what other features it provides is by reading
>the vte.sh script or the source of libvte.
>
>Thanks for reviewing/testing!
>

Rutherther